package org.netkernel.lang.dpml.ast.impl;

import org.netkernel.lang.dpml.ast.IRequestHeader;
import org.netkernel.lang.dpml.ast.IVariable;

public class HeaderImpl implements IRequestHeader
{
	private final String mName;
	private final boolean mSticky;
	private final IVariable mVariable;
	
	public HeaderImpl(String aName, boolean aSticky, IVariable aVariable)
	{	mName=aName;
		mSticky=aSticky;
		mVariable=aVariable;
	}

	public boolean isSticky()
	{	return mSticky;
	}

	public String getName()
	{	return mName;
	}

	public IVariable getVariable()
	{	return mVariable;
	}
}
