package org.netkernel.lang.dpml.ast.impl;

import org.netkernel.lang.dpml.ast.ILocation;

public class LocationImpl implements ILocation
{
	private final String mSourceIdentity;
	private final int mLine;
	private final int mColumn;
	
	public LocationImpl(String aSourceIdentity, int aLine, int aColumn)
	{	mSourceIdentity=aSourceIdentity;
		mLine=aLine;
		mColumn=aColumn;
	}

	public int getColumn()
	{	return mColumn;
	}

	public int getLine()
	{	return mLine;
	}

	public String getSourceIdentity()
	{	return mSourceIdentity;
	}
	
	public String toString()
	{	return mSourceIdentity+" Line: "+mLine+", Column: "+mColumn;
	}
}
