package org.netkernel.lang.dpml.representation;

import org.netkernel.lang.dpml.ast.IScope;
import java.util.Collections;
import java.util.List;

public class DPMLRepresentation
{
	private final IScope mScope;
	private final List mVariables;
	
	public DPMLRepresentation(IScope aScope, List aVariables, String aCWU)
	{	mScope=aScope;
		mVariables=aVariables;
	}

	public IScope getRootScope()
	{	return mScope;
	}
	
	public List getVariables()
	{	return Collections.unmodifiableList(mVariables);
	}
}
